GPHOTO2(1)

NAME
gphoto2 - command-line gphoto2 client

SYNOPSIS

gphoto2 [--debug] [-q | --quiet] [-v | --verbose] [-h | --help] [--list-cameras] [--list-ports] [--stdout] [--stdout-size] [--auto-detect] [--port PATH] [--speed SPEED] [--camera MODEL] [--filename FILENAME] [--usbid USBIDS] [-a | --abilities] [--folder FOLDER] [[-R | --recurse] | --norecurse] [-l | --list-folders] [-L | --list-files] [-m NAME | --mkdir NAME] [-r NAME | --rmdir NAME] [-n | --num-files] [-p RANGE | --get-file RANGE] [-P | --get-all-files] [-t RANGE | --get-thumbnail RANGE] [-T | --get-all-thumbnails] [-r RANGE | --get-raw-data RANGE] [--get-all-raw-data] [--get-audio-data RANGE] [--get-all-audio-data] [-d RANGE | --delete-file RANGE] [-D | --delete-all-files] [-u FILENAME | --upload-file FILENAME] [--capture-preview] [--capture-image] [--capture-movie] [--capture-sound] [--capture-show-info RANGE] [--summary] [--manual] [--about] [--shell]

DESCRIPTION

libgphoto2(3) is a cross-platform digital camera library, and gphoto2(1) is a command-line client for it.

Where an option takes a range of files, thumbnails, or other data, they are numbered beginning at 1. A range is a comma-separated list of numbers or spans (``first-last''). Ranges are XOR (exclusive or), so that ``1-5,3,7'' is equivalent to ``1,2,4,5,7''.

--debug
    Turn on debugging.

-q, --quiet
    Quiet output (default=verbose).

-v, --version
    Display version and exit.

-h, --help
    Display a short usage message.

--list-cameras
    List supported camera models.

--list-ports
    List supported port devices.

--stdout
    Send file to stdout.

--stdout-size
    Print filesize before data.

--auto-detect
    List auto-detected cameras and the ports to which they are connected.

--port PATH
    Specify port device. The--list-ports prints a list of valid, usable ports. In case of multiple USB cameras, the--auto-detect shows you the specific port each camera is connected to.

--speed SPEED
    Specify serial transfer speed.

--camera MODEL
    Specify camera model. The--list-cameras option prints a list of all explicitly supported cameras.

    Most model names contain spaces: remember to enclose the name in quotes so that the shell knows it is one parameter. For example: --camera "Kodak DC240".

    Note that if you specify--camera, you must also specify--port. Otherwise the--camera option will be silently ignored.

--filename FILENAME
    Specify the filename to use when saving downloaded files. The --filename option accepts %a, %A, %b, %B, %d, %H, %k, %I, %l, %j, %m, %M, %S, %y, %%, (see date(1)) and, in addition, %n for the number, %C for the filename suffix, and %f for the filename without suffix.

--usbid USBIDS
    (Expert only) Override USB IDs.USBIDS must be of the formDetectedVendorID:DetectedProductID=TreatAsVendorID:TreatAsProductID to treat any USB device detected asDetectedVendorID:DetectedProductID asTreatAsVendorID:TreatAsProductID instead. All the VendorIDs and ProductIDs should be hexadecimal numbers beginning in C notation, i.e. beginning with '0x'.

    Example: --usbid 0x4a9:0x306b=0x4a9:0x306c

-a, --abilities
    Display camera abilities.

-f, --folder FOLDER
    Specify camera folder (default="/").

-R, --recurse
    Recursion (default for download).

--no-recurse
    No recursion (default for deletion).

-l, --list-folders
    List folders in folder.

-L, --list-files
    List files in folder.

-m, --mkdir NAME
    Create a directory.

-r, --rmdir NAME
    Remove a directory.

-n, --num-files
    Display number of files.

-p, --get-file RANGE
    Get files given in range.

-P, --get-all-files
    Get all files from folder.

-t, --get-thumbnail RANGE
    Get thumbnails given in range.

-T, --get-all-thumbnails
    Get all thumbnails from folder.

-r, --get-raw-data RANGE
    Get raw data given in range.

--get-all-raw-data
    Get all raw data from folder.

--get-audio-data RANGE
    Get audio data given in range.

--get-all-audio-data
    Get all audio data from folder.

--delete-files RANGE
    Delete files given in range.

--delete-all-files
    Delete all files in folder.

-u, --upload-file FILENAME
    Upload a file to camera.

--capture-preview
    Capture a quick preview.

--capture-image
    Capture an image.

--capture-movie
    Capture a movie.

--capture-sound
    Capture an audio clip.

--show-info RANGE
    Show info.

--list-config
    List all configuration entries.

--get-config CONFIGENTRY
    Get the specified configuration entry.

--summary
    Summary of camera status.

--manual
    Camera driver manual.

--about
    About the camera driver.

--shell
    Start the gphoto2 shell, an interactive environment. See SHELL MODE for a detailed description.

SHELL MODE

The following commands are available:

cd  Change to a directory on the camera.

lcd Change to a directory on the local machine.

exit, quit, q
    Exit the gphoto2 shell.

get Download the file to the current directory.

get-thumbnail
    Download the thumbnail to the current directory.

get-raw
    Download raw data to the current directory.

show-info
    Show information.

delete
    Delete a file or directory.

show-exif
    Show EXIF information (only if compiled with EXIF support).

help, ?
    Displays command usage.

ls  List the contents of the current directory on the camera.

SEE ALSO

 libgphoto2(3), The gPhoto2 Manual, http://www.gphoto.org/: http://www.gphoto.org/

EXAMPLES

gphoto2 --list-ports
    Shows what kinds of ports (USB and serial) you have.

gphoto2 --auto-detect
    Shows what camera(s) you have connected.

gphoto2 --list-files
    List files on camera.

gphoto2 --get-file 7-13
    Get files number 7 through 13 from the list output by gphoto2 --list-files.

AUTHOR
The gPhoto2 Team.
Man page edited by Tim Waugh[ twaugh at redhat dot com ].